package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceStatus implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 设备状态表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备状态(0 正常，1 离线，77 告警)
     */
    private Integer deviceStatus;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 发生时间
     */
    private Date statusTime;


}
