package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.xml.soap.Text;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class HadSiteStatic implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer siteId;

    private Double maxEpp;

    private Double minEpp;

    private Double avgEpp;

    private String loadIco;

    private String hisIco;

    private Date hadTime;

    private Double maxDemand;

    private Double minDemand;

    private Double avgDemand;

    private String timeShare;


}
