package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SiteArchives implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 现场档案外连表
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 站点详细信息表ID
     */
    private Integer sitedtlId;

    /**
     * 电缆孔洞描述
     */
    private String cableHoleDescribe;

    /**
     * 电缆孔洞图片路径
     */
    private String cableHolePicture;

    /**
     * 门窗墙壁破损描述
     */
    private String damageDescribe;

    /**
     * 门窗墙壁破损图片路径
     */
    private String damagePicture;

    /**
     * 屋顶、墙壁渗漏水描述
     */
    private String waterLeakageDescribe;

    /**
     * 屋顶、墙壁渗漏水图片路径
     */
    private String waterLeakagePicture;

    /**
     * 灭火器配置不足描述
     */
    private String annihilatorInsufficientConfigurationDescribe;

    /**
     * 灭火器配置不足图片路径
     */
    private String annihilatorInsufficientConfigurationPicture;

    /**
     * 灭火器超期描述
     */
    private String annihilatorOverdueDescribe;

    /**
     * 灭火器超期图片路径
     */
    private String annihilatorOverduePicture;

    /**
     * 堆放杂物描述
     */
    private String pileUpSundriesDescribe;

    /**
     * 堆放杂物图片路径
     */
    private String pileUpSundriesPicture;

    /**
     * 积灰严重描述
     */
    private String seriousAshDepositionDescribe;

    /**
     * 积灰严重图片路径
     */
    private String seriousAshDepositionPicture;

    /**
     * 配电房周围环境潮湿描述
     */
    private String aroundEnvironmentHumidDescribe;

    /**
     * 配电房周围环境潮湿图片路径
     */
    private String aroundEnvironmentHumidPicture;

    /**
     * 配电房周围堆放杂物描述
     */
    private String aroundPileUpSundriesDescribe;

    /**
     * 配电房周围堆放杂物图片路径
     */
    private String aroundPileUpSundriesPicture;

    /**
     * 无电工描述
     */
    private String noElectricianDescribe;

    /**
     * 无电工图片路径
     */
    private String noElectricianPicture;

    /**
     * 电工人数配置不足描述
     */
    private String electricianLackDescribe;

    /**
     * 电工人数配置不足图片路径
     */
    private String electricianLackPicture;

    /**
     * 电工证超期描述
     */
    private String overdueElectricianCertificateDescribe;

    /**
     * 电工证超期图片路径
     */
    private String overdueElectricianCertificatePicture;

    /**
     * 绝缘毯配置不足描述
     */
    private String blanketInsufficientConfigurationDescribe;

    /**
     * 绝缘毯配置不足图片路径
     */
    private String blanketInsufficientConfigurationPicture;

    /**
     * 接地线与存放位置描述
     */
    private String groundWireDescribe;

    /**
     * 接地线与存放位置图片路径
     */
    private String groundWirePicture;

    /**
     * 模拟屏描述
     */
    private String analogScreenDescribe;

    /**
     * 模拟屏图片路径
     */
    private String analogScreenPicture;

    /**
     * 门挡板描述
     */
    private String doorBaffleDescribe;

    /**
     * 门挡板图片
     */
    private String doorBafflePicture;

    /**
     * 带电显示器损坏描述
     */
    private String chargedDisplayDescribe;

    /**
     * 带电显示器损坏图片
     */
    private String chargedDisplayPicture;

    /**
     * 是否具备照明描述
     */
    private String lightingDescribe;

    /**
     * 是否具备照明图片
     */
    private String lightingPicture;


}
