package com.bizmatics.model.vo;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author yq
 * @date 2021/7/8 14:30
 * 公用的图标VO
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolDeviceListVO {

    /**
     * 检查条目设备类型id
     */
    private Integer id;
    /**
     * 类型名称
     */
    private String deviceTypeName;
    /**
     * 检查项数量
     */
    private Integer checkEntryCount;
}
