package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionDeviceDetailsVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检设备id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检设备名称
     */
    private String inspectionDeviceName;

    /**
     * 所属站点id
     */
    private Integer siteId;

    /**
     * 设备类型id
     */
    private Integer deviceTypeId;

    /**
     * 厂家id
     */
    private Integer manufacturerId;

    /**
     * 巡检周期
     */
    private Integer inspectionPeriod;

    /**
     * 保养周期
     */
    private Integer maintenancePeriod;

    /**
     * 安装时间
     */
    private Date installDate;

    /**
     * 投运日期
     */
    private Date operationDate;

    /**
     * 二维码地址
     */
    private String qrCodeAddress;

    /**
     * 设备图片地址
     */
    private String devicePictureAddress;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;

    /**
     * 工单ID
     */
    private Integer workOrderId;

}
