package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionRecordVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检记录id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划id
     */
    private Integer inspectionSchemeId;

    /**
     * 巡检班组id
     */
    private Integer inspectionTeamId;

    /**
     * 启动时间
     */
    private Date startTime;

    /**
     * 巡检次数
     */
    private Integer inspectionNumber;

    /**
     * 站点数
     */
    private Integer siteId;

    /**
     * 巡检进度
     */
    private Double inspectionSchedule;

    /**
     * 完成时间
     */
    private Date completionTime;

    /**
     * 巡检结果
     */
    private String inspectionResult;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未进行，1 进行中，2 已完成）
     */
    private Integer status;

    private String inspectionSchemeName;

    private String teamName;

    private String siteName;

    private Integer inspectorsId;

    private String executionTime;

    private String inspectionRouteName;


}
