package com.bizmatics.model.vo;

import com.bizmatics.model.Device;
import com.bizmatics.model.DeviceAttribute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlannedOutageVo{
    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 状态 1.未执行 2.执行中 3.已执行
     */
    @ApiModelProperty(value = "0", readOnly = true)
    private Integer type;

    /**
     * 停电计划ID
     */
    @ApiModelProperty(value = "0", readOnly = true)
    private Integer id;

    /**
     * 条数
     */
    @ApiModelProperty(value = "15", readOnly = true)
    private Integer size;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "1", readOnly = true)
    private Integer current;
}
