package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.MonitorDeviceListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 设备属性 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAttributeMapper extends CrudMapper<DeviceAttribute> {
    List<MonitorDeviceListVO> monitorDeviceList(@Param("siteName") String siteName,
                                                @Param("userName") String userName,
                                                @Param("phone") String phone,
                                                @Param("startCurrent") Integer startCurrent,
                                                @Param("size") Integer size);
}
