package com.bizmatics.persistence.mapper;

import com.bizmatics.model.HadSiteStatic;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-20
 */
@Repository
public interface HadSiteStaticMapper extends CrudMapper<HadSiteStatic> {


    Double selectCount(@Param("userId") Integer userId,
                        @Param("startTime") Date startTime,
                        @Param("endTime") Date endTime,
                       @Param("siteId") Integer siteId);


    List<HadSiteStatic> list(@Param("userId") Integer userId,
                             @Param("startTime") Date startTime,
                             @Param("endTime") Date endTime,
                             @Param("siteId") Integer siteId);
}
