package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.PatrolDeviceType;
import com.bizmatics.model.vo.PatrolDeviceListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-15
 */
public interface PatrolDeviceTypeMapper extends CrudMapper<PatrolDeviceType> {
    List<PatrolDeviceListVO> patrolDeviceList(@Param("deviceTypeName") String deviceTypeName,
                                              @Param("id") Integer id);

}
