package com.bizmatics.persistence.mapper;

import com.bizmatics.model.PatrolInspectionDevice;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.vo.PatrolDeviceListVO;
import com.bizmatics.model.vo.PatrolInspectionDeviceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-15
 */
public interface PatrolInspectionDeviceMapper extends CrudMapper<PatrolInspectionDevice> {

    List<PatrolInspectionDeviceVo> patrolInspectionDeviceList(@Param("inspectionDeviceName") String inspectionDeviceName,
                                                              @Param("siteId") Integer siteId,
                                                              @Param("id") Integer id);
}
