package com.bizmatics.persistence.mapper;

import com.bizmatics.model.Site;
import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.common.mvc.base.CrudMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 站点动态属性表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-09-22
 */
public interface SiteDynamicPropertiesMapper extends CrudMapper<SiteDynamicProperties> {
    List<SiteDynamicProperties> list(@Param("siteId") Integer siteId);
}
