package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.Device;
import com.bizmatics.model.PatrolCheckEntry;
import com.bizmatics.common.mvc.base.CrudService;

import java.util.List;

/**
 * 检查条目检查项
 *
 * @author ya
 * @since 2021-10-15
 */
public interface PatrolCheckEntryService extends CrudService<PatrolCheckEntry> {
    void patrolCheckEntryAdd(PatrolCheckEntry patrolCheckEntry);

    void patrolCheckEntryUpdate(PatrolCheckEntry patrolCheckEntry);

    void patrolCheckEntryDel(Integer id);

    CommonPage<PatrolCheckEntry> patrolCheckEntryList(String checkEntryName, Integer deviceTypeId, Integer size, Integer current, Integer id);

    List<PatrolCheckEntry> patrolCheckEntrydDroplist(Integer deviceTypeId);
}
