package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PatrolDeviceType;
import com.bizmatics.model.vo.PatrolDeviceListVO;

import java.util.List;

/**
 * 检查条目设备类型
 *
 * @author ya
 * @since 2021-10-15
 */
public interface PatrolDeviceTypeService extends CrudService<PatrolDeviceType> {
    void patrolDeviceTypeAdd(String deviceTypeName);

    void patrolDeviceTypeUpdate(Integer id, String deviceTypeName);

    void patrolDeviceTypeDel(Integer id);

    List<PatrolDeviceListVO> patrolDeviceTypeList(String deviceTypeName, Integer id);
}
