package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PatrolContentEntry;
import com.bizmatics.model.PatrolInspectionContent;
import com.bizmatics.model.vo.PatrolInspectionContentListVo;
import com.bizmatics.model.vo.PatrolInspectionContentVo;
import com.bizmatics.model.vo.SiteDeviceCountVo;

import java.util.List;

/**
 * 巡检内容
 *
 * @author ya
 * @since 2021-10-16
 */
public interface PatrolInspectionContentService extends CrudService<PatrolInspectionContent> {
    void patrolInspectionContentAdd(PatrolInspectionContentVo patrolInspectionContentVo);

    void patrolInspectionContentUpdate(PatrolInspectionContentVo patrolInspectionContentVo);

    void patrolInspectionContentDel(Integer id);

    List<PatrolInspectionContentListVo> patrolInspectionContentList(String inspectionContentName);

    List<PatrolInspectionContentListVo> patrolInspectionContentDetailsList(Integer id);

    List<PatrolContentEntry> patrolContentEntryList(Integer id);

    List<SiteDeviceCountVo> patrolInspectionContentSiteList(String siteName);
}
