package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PatrolInspectionContent;
import com.bizmatics.model.PatrolInspectionScheme;
import com.bizmatics.model.vo.PatrolCheckEntryVo;
import com.bizmatics.model.vo.PatrolInspectionSchemeListVo;
import com.bizmatics.model.vo.PatrolInspectionSchemeOneVo;
import com.bizmatics.model.vo.PatrolInspectionSchemeVo;

import java.util.List;

/**
 * 巡检管理-巡检计划
 *
 * @author ya
 * @since 2021-10-18
 */
public interface PatrolInspectionSchemeService extends CrudService<PatrolInspectionScheme> {

    void patrolInspectionSchemeAdd(PatrolInspectionSchemeVo patrolInspectionSchemeVo);

    void patrolInspectionSchemeUpdate(PatrolInspectionSchemeVo patrolInspectionSchemeVo);

    void patrolInspectionSchemeDel(Integer id);

    CommonPage<PatrolInspectionScheme> patrolInspectionSchemeList(String inspectionSchemeName, Integer status, Integer size, Integer current);

    List<PatrolInspectionSchemeOneVo> PatrolInspectionScheme(Integer id);

    List<PatrolCheckEntryVo> checkItemList(Integer inspectionContentId);

    List<PatrolInspectionContent> patrolInspectionContentDroplist(Integer siteId);

    void patrolInspectionRouteDel(Integer id);

    List<PatrolInspectionSchemeListVo> patrolInspectionSchemeCalendar(Integer id);
}
