package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PowerQualityConfig;

import java.util.List;

/**
 * 电能质量评分配置
 *
 * @author ya
 * @since 2021-10-09
 */
public interface PowerQualityConfigService extends CrudService<PowerQualityConfig> {

    void powerQualityAdd(PowerQualityConfig powerQualityConfig);

    void powerQualityUpdate(PowerQualityConfig powerQualityConfig);

    List<PowerQualityConfig> powerQualityList(int siteId);

    void powerQualityDel(int id);
}
