package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.SiteGrouping;
import org.apache.ibatis.annotations.Param;

/**
 * 站点分组
 *
 * @author ya
 * @since 2021-09-17
 */
public interface SiteGroupingService extends CrudService<SiteGrouping> {
    /**
     * @param groupingName
     */
    void siteGroupingAdd(@Param("groupingName") String groupingName);

    /**
     * @param groupingName
     * @param id
     */
    void siteGroupingUpdate(@Param("groupingName") String groupingName,
                            @Param("id") int id);

}
