package com.bizmatics.service.enums;

/**
 * @author yq
 * @date 2021/7/7 14:08
 */
public enum PersonnelType {


    /**
     * 最高权限
     */
    ONE(1,"最高权限"),

    /**
     * 维保人员
     */
    MAINTENANCE(2,"维保人员"),

    /**
     * 供电人员
     */
    POWER(3,"供电人员");

    private final Integer value;
    private final String name;

    PersonnelType(Integer value,String name){
        this.value = value;
        this.name = name;

    }

    public Integer getValue(){
        return this.value;
    }

    public String getName(){
        return this.name;
    }
}
