package com.bizmatics.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/11/2 15:45
 */
@Data
public class AlarmVO {


    /**
     * 电力告警表ID
     */
    private Integer id;

    /**
     * 阿里云平台设备名称
     */
    private String deviceCode;

    /**
     * 告警名称
     */
    private String alarmName;

    /**
     * 发送时间
     */
    private Date sendingTime;

    /**
     * 告警类型（alert 告警）
     */
    private String alarmType;

    /**
     * 测点名称
     */
    private String measName;

    /**
     * 遥信值（0  正常  1 告警）
     */
    private Integer digitalValue;

    /**
     * 测点描述
     */
    private String measDesc;

    /**
     * 发生时间
     */
    private Date soeTime;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private Date handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 联系电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0 未处理，1 已处理）
     */
    private Integer handlingStatus;

    /**
     * 图片
     */
    private String image;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点地址
      */
    private String siteAddress;
    /**
     * 站点联系人
     */
    private String sparUserName;
    /**
     * 台区名称
     */
    private String stationArea;


    /**
     * 线路地址
     */
    private String route;


}
