package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class CorrespondDeviceExportVO {
    /**
     * 设备表主键ID
     */
    private Integer id;
    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceCode;
    /**
     * 设备名称
     */
    @Excel(name = "设备名称", height = 6, width = 20)
    private String deviceName;
    /**
     * 设备地址
     */
    @Excel(name = "设备地址", height = 6, width = 20)
    private String deviceAddress;

    /**
     * 设备状态
     */
    @Excel(name = "设备状态", height = 6, width = 20)
    private Integer deviceStatus;
    /**
     * 最后通信时间
     */
    @Excel(name = "最后通信时间", height = 6, width = 20)
    private String statusTime;

    /**
     * 站点ID
     */
    @Excel(name = "站点ID", height = 6, width = 20)
    private int siteId;
    /**
     * 站点名称
     */
    @Excel(name = "站点名称", height = 6, width = 20)
    private String siteName;

    /**
     * 离线时长
     */
    @Excel(name = "离线时长", height = 6, width = 20)
    private Integer offlineDuration;
    /**
     * 在线时长
     */
    @Excel(name = "在线时长", height = 6, width = 20)
    private Integer onlineDuration;

    /**
     * sim卡号
     */
    @Excel(name = "sim卡号", height = 6, width = 20)
    private String sim;

    /**
     * 楼层
     */
    @Excel(name = "楼层", height = 6, width = 20)
    private Integer floor;

    /**
     * 设备类型
     */
    @Excel(name = "设备类型", height = 6, width = 20)
    private Integer deviceType;
}
