package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class DeviceAnalogVariableListExportVO {
    /**
     * 变量列表id
     */
    private Integer id;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号", height = 6, width = 20)
    private String deviceCode;

    /**
     * 变量名
     */
    @Excel(name = "变量名", height = 6, width = 20)
    private String variableName;

    /**
     * 变量编码
     */
    @Excel(name = "变量编码", height = 6, width = 20)
    private String variableCoding;

    /**
     * 数据地址
     */
    @Excel(name = "数据地址", height = 6, width = 20)
    private String dataAddress;

    /**
     * 数据类型
     */
    @Excel(name = "数据类型", height = 6, width = 20)
    private String dataType;

    /**
     * 系数
     */
    @Excel(name = "系数", height = 6, width = 20)
    private Float coefficient;

    /**
     * 存盘周期（分钟）
     */
    @Excel(name = "存盘周期（分钟）", height = 6, width = 20)
    private Integer saveCycle;

    /**
     *  通信设备
     */
    @Excel(name = "通信设备", height = 6, width = 20)
    private String deviceName;
    /**
     *  电力监控设备
     */
    @Excel(name = "监控设备", height = 6, width = 20)
    private String monitorDeviceName;

    /**
     * 1.模拟量 2.状态量 3.参数量
     */
    @Excel(name = "变量类型", height = 6, width = 20)
    private Integer dataArea;

}
