package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class DeviceAttributeExportVO {

    private Integer id;

    /**
     * 监控设备编号
     */
    @Excel(name = "监控设备编号", height = 6, width = 20)
    private String monitorDeviceCode;
    /**
     * 监控设备名称
     */
    @Excel(name = "监控设备名称", height = 6, width = 20)
    private String monitorDeviceName;
    /**
     * 回路表计地址
     */
    @Excel(name = "回路表计地址", height = 6, width = 20)
    private Integer loopMeterAddress;
    /**
     * 额定电压（kv）
     */
    @Excel(name = "额定电压（kv）", height = 6, width = 20)
    private Double ratedVoltage;

    /**
     * 额定电流（A）
     */
    @Excel(name = "额定电流（A）", height = 6, width = 20)
    private Double ratedCurrent;
    /**
     * 电流负载率门限
     */
    @Excel(name = "电流负载率门限", height = 6, width = 20)
    private Double currentLoadRate;

    /**
     * 电能质量分析
     */
    @Excel(name = "电能质量分析", height = 6, width = 20)
    private String qualityAnalysis;

}
