package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备属性
 * </p>
 *
 * @author ya
 * @since 2021-09-26
 */
@Data
public class DeviceAttributeImportVo{
    /**
     * 监控设备编号
     */
    @Excel(name = "监控设备编号")
    private String monitorDeviceCode;
    /**
     * 监控设备名称
     */
    @Excel(name = "监控设备名称")
    private String monitorDeviceName;
    /**
     * 回路表计地址
     */
    @Excel(name = "回路表计地址")
    private Integer loopMeterAddress;
    /**
     * 额定电压（kv）
     */
    @Excel(name = "额定电压")
    private Double ratedVoltage;

    /**
     * 额定电流（A）
     */
    @Excel(name = "额定电流")
    private Double ratedCurrent;
    /**
     * 电流负载率门限
     */
    @Excel(name = "电流负载率门限")
    private Double currentLoadRate;
    /**
     * 站点ID
     */
    @Excel(name = "站点ID")
    private Integer siteId;
    /**
     * 电能质量分析
     */
    @Excel(name = "电能质量分析")
    private String qualityAnalysis;

}
