package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
public class DeviceImportVo{
    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 设备名称
     */
    @Excel(name = "设备名称")
    private String deviceName;

    /**
     * 楼层
     */
    @Excel(name = "楼层")
    private String floor;
    /**
     * 所属站点
     */
    @Excel(name = "所属站点ID")
    private Integer siteId;

    /**
     * 设备安装位置
     */
    @Excel(name = "设备安装位置")
    private String deviceAddress;

    /**
     * 1：183用电设备，2：视频监控设备，3：171用电设备，4：173用电设备，5：158智能网关，6：其他
     */
    @Excel(name = "设备类型")
    private String deviceType;

    /**
     * sim卡号
     */
    @Excel(name = "sim卡号")
    private String sim;

}
