package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/13 16:21
 */
@Data
public class ProcessingTimeExportVO {
    /**
     * 人员表ID
     */
    private Integer id;

    /**
     * 人员名称
     */
    @Excel(name = "人员名称", height = 6, width = 20)
    private String inspectorsName;

    /**
     * 接单量
     */
    @Excel(name = "接单量", height = 6, width = 20)
    private Integer orderQuantity;

    /**
     * 完单量
     */
    @Excel(name = "完单量", height = 6, width = 20)
    private Integer completedQuantity;

    /**
     * 未完成
     */
    @Excel(name = "未完成", height = 6, width = 20)
    private Integer incomplete;

    /**
     * 响应时间/小时
     */
    @Excel(name = "响应时间/小时", height = 6, width = 20)
    private Integer responseTime;

    /**
     * 处理时间/小时
     */
    @Excel(name = "处理时间/小时", height = 6, width = 20)
    private Integer processingTime;

    /**
     * 客户评价
     */
    @Excel(name = "客户评价", height = 6, width = 20)
    private String testimonials;
}
