package com.bizmatics.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * 实时评分
 * @author yq
 * @date 2021/10/22 16:50
 */
@Data
public class RealScoreOneVO {

    /**
     * A相电流
     */
    private Double Ia;

    /**
     * B相电流
     */
    private Double Ib;

    /**
     * C相电流
     */
    private Double Ic;


    /**
     * A相电压
     */
    private Double Ua;

    /**
     * B相电压
     */
    private Double Ub;

    /**
     * C相电压
     */
    private Double Uc;

    /**
     * 电流不平衡
     */
    private Double elBalun;
    /**
     * 电压不平衡
     */
    private Double vtBalun;

    /**
     * 时间
     */
    private Date dataTime;

    /**
     * 频率
     */
    private Double F;

    /**
     * 三相总有功功率
     */
    private Double P;

    /**
     * 三相总无功功率
     */
    private Double Q;

    /**
     * A相电压占比
     */
    private Double UaPercentage;

    /**
     * B相电压占比
     */
    private Double UbPercentage;

    /**
     * C相电压占比
     */
    private Double UcPercentage;

    /**
     * 频率偏差
     */
    private Double Fdeviation;

    /**
     * 三相总有功功率占比
     */
    private Double Ppercentage;

    /**
     * 三相总无功功率占比
     */
    private Double Qpercentage;

    /**
     * 额定电压
     */
    private String voltageLevel;
}
