package com.bizmatics.service.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
public class WcBlackoutPlanOneExportVo {

    private Integer id;

    /**
     * 站点名称
     */
    @Excel(name = "站点名称 ", height = 6, width = 20)
    private String siteName;

    /**
     * 开始时间
     */
    @Excel(name = "开始停电时间 ", height = 6, width = 20)
    private String startTime;

    /**
     * 结束时间
     */
    @Excel(name = "结束停电时间 ", height = 6, width = 20)
    private String endTime;

    /**
     * 添加时间
     */
    @Excel(name = "提交时间 ", height = 6, width = 20)
    private String createTime;

    /**
     * 添加人
     */
    @Excel(name = "提交人 ", height = 6, width = 20)
    private String creator;

    /**
     * 状态 1 未执行 2执行中 3 已执行
     */
    @Excel(name = "状态 ", height = 6, width = 20)
    private String type;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 计划类型：1.计划检修停电、2.计划施工停电、3.客户申请停电
     */
    private Integer planType;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 使能标识：1可用；0不可用
     */
    private Integer enable;
}
