package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.service.PersonnelService;
import com.bizmatics.service.vo.PerCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 人员信息
 *
 * @author ya
 * @since 2021-07-07
 */
@RestController
@RequestMapping("/personnel")
public class PersonnelController {


    @Autowired
    private PersonnelService personnelService;


    /**
     * 查询不同种类的人员信息
     * @return
     */
    @GetMapping("count")
    public ApiResult<PerCountVO> getCount(){
        return ApiResult.success(personnelService.selectCount());
    }
}

