package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolContentEntry implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检内容检查项id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检内容id
     */
    private Integer inspectionContentId;

    /**
     * 巡检设备id
     */
    private Integer inspectionDeviceId;

    /**
     * 检查条目检查项id
     */
    private Integer checkEntryId;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;


}
