package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolManufacturer implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 厂家id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 厂家名称
     */
    private String manufacturerName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 厂家联系人
     */
    private String manufacturerContact;

    /**
     * 厂家联系方式
     */
    private String manufacturerPhone;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;


}
