package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolRecordRoute implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 巡检记录线路关联表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划ID
     */
    private Integer inspectionSchemeId;

    /**
     * 巡检线路ID
     */
    private Integer inspectionRouteId;

    /**
     * 巡检记录ID
     */
    private Integer inspectionRecordId;

    /**
     * 添加人
     */
    private String creator;

    /**
     * 添加时间
     */
    private Date createTime;

    /**
     * 状态（0 待巡检，1 正常 ，2 异常）
     */
    private Integer status;

    /**
     * 检查项
     */
    private String checkEntryName;

    /**
     * 描述
     */
    private String represent;

    /**
     * 图片路径
     */
    private String picturePath;

    /**
     * 巡检内容ID
     */
    private Integer inspectionContentId;


}
