package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolTeamInspection implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 团队人员关联表id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 团队id
     */
    private Integer teamId;

    /**
     * 人员id
     */
    private Integer inspectorsId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;


}
