package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlatformArea implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 台区表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 台区名称
     */
    private String platformAreaName;

    /**
     * 台区地址
     */
    private String platformAreaAddress;

    /**
     * 台区编号
     */
    private String platformAreaCode;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


}
