package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Route implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 线路信息表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 线路名称
     */
    private String routeName;

    /**
     * 所属监察
     */
    private Integer supervisionId;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;


}
