package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SupervisionReport implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 监察上报数据表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 监察标题
     */
    private String supervisionTitle;

    /**
     * 所属站点
     */
    private Integer siteId;

    /**
     * 监察内容
     */
    private String supervisionContent;

    /**
     * 现场图片
     */
    private String scenePictures;

    /**
     * 上报时间
     */
    private LocalDateTime createTime;

    /**
     * 上报人
     */
    private String creator;


}
