package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author yq
 * @date 2021/7/8 14:30
 * 公用的图标VO
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class CorrespondDeviceVO{

    /**
     * 设备表主键ID
     */
    private Integer id;
    /**
     * 设备编号
     */
    private String deviceCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备地址
     */
    private String deviceAddress;
    /**
     * 安装时间
     */
    private Date installTime;
    /**
     * 设备状态
     */
    private Integer deviceStatus;
    /**
     * 最后通信时间
     */
    private Date statusTime;

    /**
     * 站点ID
     */
    private int siteId;
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 离线时长
     */
    private Integer offlineDuration;
    /**
     * 在线时长
     */
    private Integer onlineDuration;

    /**
     * sim卡号
     */
    private String sim;

    /**
     * 楼层
     */
    private Integer floor;

    /**
     * 设备类型
     */
    private Integer deviceType;


}
