package com.bizmatics.model.vo;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author yq
 * @date 2021/7/8 14:30
 * 公用的图标VO
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DataManagementVO implements Serializable {

    /**
     * 设备编号
     */
    private String deviceCode;
    /**
     * 周期：0、所有值 1、每日值 2、每月值
     */
    private Integer type;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 所需字段
     */
    private String displayField;
    /**
     * 1、平均值 2、最大值 3、最小值 4、累计值
     */
    private Integer valueCalculation;
}
