package com.bizmatics.model.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 设备属性
 * </p>
 *
 * @author ya
 * @since 2021-09-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DeviceAnalogVariableListVo implements Serializable {

    /**
     * 变量ID
     */
    private Integer id;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 变量名称
     */
    private String variableName;

    /**
     * 条数
     */
    private Integer size;

    /**
     * 页数
     */
    private Integer current;

    /**
     * 1.模拟量 2.状态量 3.参数量
     */
    private Integer dataArea;

    /**
     * 监控设备ID
     */
    private Integer monitoringEquipment;
}
