package com.bizmatics.model.vo;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author yq
 * @date 2021/7/8 14:30
 * 公用的图标VO
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MonitorDeviceListVO {

    /**
     * 设备表主键ID
     */
    private Integer id;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点地址
     */
    private String siteAddress;
    /**
     * 站点联系人
     */
    private String userName;
    /**
     * 联系方式
     */
    private String phone;
    /**
     * 设备数量
     */
    private Integer deviceCount;
}
