package com.bizmatics.model.vo;

import com.bizmatics.model.DevopsWorkOrder;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class OpexStatisticsVo {
    /**
     * 新建工单数量
     */
    private Integer newWorkOrderCount;

    /**
     * 已完成工单
     */
    private Integer completedWorkOrder;

    /**
     * 平均响应时间
     */
    private Double averageResponseTime;

    /**
     * 日均工单数
     */
    private Double workOrderAveCount;

    /**
     * 待抢单
     */
    private Integer stayGrabOrdersCount;

    /**
     * 待指派
     */
    private Integer stayAppointCount;

    /**
     * 待接单
     */
    private Integer stayOrderTakingCount;

    /**
     * 待处理
     */
    private Integer stayManageCount;

    /**
     * 待关单
     */
    private Integer stayCustomsClearanceCount;

    /**
     * 已完成
     */
    private Integer completedCount;

    /**
     * 各站点各类工单数统计
     */
    List<Object> workOrderStatistics;

    /**
     * 工单数趋势
     */
    List<DevopsWorkOrder> workOrderTrend;
}
