package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolCheckEntryVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 检查条目检查项id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备类型id
     */
    private Integer deviceTypeId;

    /**
     * 检查项名称
     */
    private String checkEntryName;

    /**
     * 参考关系
     */
    private String referringToRelation;

    /**
     * 参考值
     */
    private String referenceValue;

    /**
     * 步骤描述
     */
    private String stepsDescribe;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;

    private Integer inspectionContentId;


}
