package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-10-20
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionRecordDetailsVo{

    private static final long serialVersionUID=1L;

    /**
     * 巡检记录id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 巡检计划名称
     */
    private String inspectionSchemeName;

    /**
     * 巡检次数
     */
    private Integer inspectionNumber;

    /**
     * 状态（0 未进行，1 进行中，2 已完成
     */
    private Integer status;

    /**
     * 巡检时间一
     */
    private Date createTime;

    /**
     * 巡检时间二
     */
    private String executionTime;

    /**
     * 巡检内容数量
     */
    private Integer inspectionDeviceCount;

    /**
     * 完成时间
     */
    private Date completionTime;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 责任人
     */
    private String inspectorsName;

    /**
     * 巡检线路名称
     */
    private String inspectionRouteName;

    private Integer inspectionDeviceAbnormalCount;

    private Integer inspectionDeviceDefectCount;

    private Integer siteCount;

    private Integer inspectorsId;

    private List<PatrolRouteContentListVo> patrolRouteContentListVo;


}
