package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2021-10-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PatrolInspectionTeamOneVo {

    private static final long serialVersionUID = 1L;

    /**
     * 巡检团队id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 姓名
     */
    private String teamName;

    /**
     * 责任人：人员id
     */
    private Integer inspectorsId;

    /**
     * 所属用户id
     */
    private Integer userId;

    /**
     * 团队类型（预留字段）
     */
    private Integer teamType;

    /**
     * 预留字段
     */
    private String reservedField;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 启用状态（0 未启用，1 启用）
     */
    private Integer status;

    private List<Object> patrolInspectorsOneVo;

}
