package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.bizmatics.model.Site;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlatformAreaVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 台区表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 台区名称
     */
    private String platformAreaName;

    /**
     * 台区地址
     */
    private String platformAreaAddress;

    /**
     * 台区编号
     */
    private String platformAreaCode;

    /**
     * 使能标识（0 不生效，1 生效）
     */
    private Integer enable;

    /**
     * 通信设备数量
     */
    private Integer deviceCount;

    /**
     * 台区下站点总数
     */
    private Integer siteCount;

    /**
     * 台区下站点
     */
    private List<Site> site;

}
