package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProcessingTime {

    private static final long serialVersionUID=1L;

    /**
     * 人员表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 人员名称
     */
    private String inspectorsName;

    /**
     * 工单状态（1 待抢单，2 待指派，3 待接单，4 待处理，5 待关单，6 已完成）
     */
    private Integer workOrderStatus;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 接单数量
     */
    private Integer count;

    /**
     * 处理时间/小时
     */
    private Integer processingTime;

    /**
     * 响应时间/小时
     */
    private Integer responseTime;
}
