package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProcessingTimeVo {

    private static final long serialVersionUID=1L;

    /**
     * 人员表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 人员名称
     */
    private String inspectorsName;

    /**
     * 接单量
     */
    private Integer orderQuantity;

    /**
     * 完单量
     */
    private Integer completedQuantity;

    /**
     * 未完成
     */
    private Integer incomplete;

    /**
     * 响应时间/小时
     */
    private Integer responseTime;

    /**
     * 处理时间/小时
     */
    private Integer processingTime;

    /**
     * 客户评价
     */
    private String testimonials;
}
