package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WcBlackoutPlanVo implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 站点ID
     */
    private Integer siteId;

    /**
     * 计划类型：1.计划检修停电、2.计划施工停电、3.客户申请停电
     */
    private Integer planType;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 联系人 
     */
    private String contacts;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 使能标识：1可用；0不可用
     */
    private Integer enable;

    /**
     * 添加人
     */
    private String creator;

    /**
     * 添加时间
     */
    private Date createTime;

    /**
     * 站点名称
     */
    private String siteName;

    /**
     * 状态 1 未执行 2执行中 3 已执行
     */
    private Integer type;

}
