package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.PatrolInspectionContent;
import com.bizmatics.model.vo.PatrolInspectionContentListVo;
import com.bizmatics.model.vo.SiteDeviceCountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-16
 */
public interface PatrolInspectionContentMapper extends CrudMapper<PatrolInspectionContent> {
    List<PatrolInspectionContentListVo> patrolInspectionContentList(@Param("inspectionContentName") String inspectionContentName,
                                                                    @Param("id") Integer id,
                                                                    @Param("siteId") Integer siteId);

    List<SiteDeviceCountVo> patrolInspectionContentSiteList(@Param("siteName") String siteName,
                                                            @Param("userId") Integer userId);
}
