package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.PatrolInspectionContent;
import com.bizmatics.model.PatrolInspectionScheme;
import com.bizmatics.model.PatrolInspectors;
import com.bizmatics.model.vo.PatrolCheckEntryVo;
import com.bizmatics.model.vo.PatrolInspectionSchemeListVo;
import com.bizmatics.model.vo.PatrolRouteContentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-18
 */
public interface PatrolInspectionSchemeMapper extends CrudMapper<PatrolInspectionScheme> {

    List<PatrolRouteContentVo> patrolRouteContent(@Param("inspectionRouteId") Integer inspectionRouteId);

    List<PatrolCheckEntryVo> checkItemList(@Param("inspectionContentId") Integer inspectionContentId);

    List<PatrolInspectionContent> patrolInspectionContentDroplist(@Param("siteId") Integer siteId);

    List<PatrolInspectors> patrolInspectorsList(@Param("teamId") Integer teamId);

    List<PatrolInspectionSchemeListVo> patrolInspectionSchemeList(@Param("id") Integer id);
}
