package com.bizmatics.persistence.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.model.Sitedtl;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.vo.DeviceAnalogVariableListOneVo;
import com.bizmatics.model.vo.DevopsWorkOrderListVo;
import com.bizmatics.model.vo.SitedtlVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
public interface SitedtlMapper extends CrudMapper<Sitedtl> {
    List<SitedtlVo> sitedtlVoList(@Param("siteId") Integer siteId,
                                  @Param("electricTestOverdue") String electricTestOverdue,
                                  @Param("startCurrent") Integer startCurrent,
                                  @Param("size") Integer size);
    Page<SitedtlVo> sitedtlVoListOne(IPage<SitedtlVo> page,
                                  @Param("siteId") Integer siteId,
                                  @Param("electricTestOverdue") String electricTestOverdue,
                                  @Param("startCurrent") Integer startCurrent,
                                  @Param("size") Integer size);
}
