package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.WcBlackoutPlan;
import com.bizmatics.model.vo.WcBlackoutPlanVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
public interface WcBlackoutPlanMapper extends CrudMapper<WcBlackoutPlan> {

    List<WcBlackoutPlanVo> plannedOutageList(@Param("startTime") String startTime,
                                             @Param("endTime") String endTime,
                                             @Param("type") Integer type,
                                             @Param("id") Integer id,
                                             @Param("size") Integer size,
                                             @Param("startCurrent") Integer startCurrent);
}
