package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.vo.DeviceAnalogVariableListOneVo;
import com.bizmatics.model.vo.DeviceAnalogVariableListVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设备变量列表 服务类
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAnalogVariableListService extends CrudService<DeviceAnalogVariableList> {
    void variableListAdd(DeviceAnalogVariableList deviceAnalogVariableList);

    void variableListUpdate(DeviceAnalogVariableList deviceAnalogVariableList);

    void variableListDel(int id);

    CommonPage<DeviceAnalogVariableList> variableList(String deviceCode, String screen, int size, int current);

    CommonPage<DeviceAnalogVariableListOneVo> variableListone(DeviceAnalogVariableListVo deviceAnalogVariableListVo);

    void variableListAddOne(String deviceAnalogVariableListId, Integer monitoringEquipmentId);

    List<DeviceAnalogVariableList> variableListDroplist();

    String variableListExport(Integer siteId, String variableName, Integer dataArea);

    void variableListImport(MultipartFile multipartFile);


}
