package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.MonitorDeviceListVO;
import org.jetbrains.annotations.NotNull;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 设备属性 服务类
 *
 * @author ya
 * @since 2021-09-24
 */
public interface DeviceAttributeService extends CrudService<DeviceAttribute> {

    void deviceNewsAdd(DeviceAttribute deviceAttribute);

    void deviceNewsUpdate(DeviceAttribute deviceAttribute);

    CommonPage<DeviceAttribute> deviceNewsList(Integer id, Integer siteId,Integer size,Integer current);

    void deviceNewsDel(int id);

    CommonPage<MonitorDeviceListVO> monitorDeviceList(String siteName,String userName,String phone,Integer size,Integer current);

    String deviceAttributeExport(Integer id, Integer siteId);

    void deviceAttributeImport(MultipartFile multipartFile);

    public List<DeviceAttribute> deviceNewsListBox(Integer id, Integer siteId);
}
