package com.bizmatics.service;

import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PatrolInspectionDevice;
import com.bizmatics.model.vo.PatrolInspectionDeviceVo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 巡检设备
 *
 * @author ya
 * @since 2021-10-15
 */
public interface PatrolInspectionDeviceService extends CrudService<PatrolInspectionDevice> {

    void patrolInspectionDeviceAdd(String inspectionDeviceName, Integer siteId, Integer deviceTypeId);

    void patrolInspectionDeviceUpdate(PatrolInspectionDevice patrolInspectionDevice);

    void patrolInspectionDeviceDel(Integer id);

    List<PatrolInspectionDeviceVo> patrolInspectionDeviceList(String inspectionDeviceName, Integer siteId, Integer id);

    String pictureUpload(MultipartFile file, HttpServletRequest request);

}
