package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.PlatformArea;
import com.bizmatics.model.vo.DeviceVo;
import com.bizmatics.model.vo.PlatformAreaVo;
import com.bizmatics.model.vo.SiteDeviceList;
import com.bizmatics.model.vo.SiteListVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ya
 * @since 2021-09-29
 */
public interface PlatformAreaService extends CrudService<PlatformArea> {
    void platformAreaAdd(PlatformArea platformArea);

    void platformAreaUpdate(PlatformArea platformArea);

    List<PlatformAreaVo> platformAreaList(Integer id);

    CommonPage<PlatformAreaVo> platformAreaListOne(String platformAreaName, Integer current, Integer size);

    void platformAreaDel(int id);

    List<SiteListVo> siteDeviceList(Integer stationAreaId);

    void siteDeviceUpdate(DeviceVo deviceVo);

    void siteDeviceDel(int deviceId, int deviceAttributeId);
}
