package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.Sitedtl;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.vo.SitedtlArchivesVo;
import com.bizmatics.model.vo.SitedtlVo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2021-10-26
 */
public interface SitedtlService extends CrudService<Sitedtl> {
    void sitedtlAdd(SitedtlArchivesVo sitedtlArchivesVo);

    void sitedtlUpdate(SitedtlArchivesVo sitedtlArchivesVo);

    CommonPage<SitedtlVo> sitedtlList(Integer siteId, String electricTestOverdue, Integer size, Integer current);

    String variableListExport(Integer siteId, String electricTestOverdue);
}
