package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.WcBlackoutPlan;
import com.bizmatics.model.vo.PlannedOutageVo;
import com.bizmatics.model.vo.WcBlackoutPlanOneVo;
import com.bizmatics.model.vo.WcBlackoutPlanVo;

import java.util.List;

/**
 * 计划停电
 *
 * @author ya
 * @since 2021-07-07
 */
public interface WcBlackoutPlanService extends CrudService<WcBlackoutPlan> {

    void plannedOutageAdd(WcBlackoutPlan wcBlackoutPlan);

    void plannedOutageUpdate(WcBlackoutPlan wcBlackoutPlan);

    void plannedOutageDel(int id);

    CommonPage<WcBlackoutPlanVo> plannedOutageList(PlannedOutageVo plannedOutageVo);

    String outagePlanListExport(String startTime, String endTime, Integer type);

    List<WcBlackoutPlanOneVo> wcBlackoutPlanOneVolist(String startTime, String endTime, Integer type, Integer startCurrent);
}
