package com.bizmatics.service.impl;

import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.model.SiteDynamicProperties;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.persistence.mapper.SiteDynamicPropertiesMapper;
import com.bizmatics.service.SiteDynamicPropertiesService;
import com.bizmatics.service.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * 站点动态属性表 服务实现类
 *
 * @author ya
 * @since 2021-09-22
 */
@Service
public class SiteDynamicPropertiesServiceImpl extends AbstractCrudService<SiteDynamicPropertiesMapper, SiteDynamicProperties> implements SiteDynamicPropertiesService {
    @Override
    public void siteDynamicPropertiesAdd(SiteDynamicProperties siteDynamicProperties) {
        this.save(siteDynamicProperties);
    }

    @Override
    public void SiteDynamicPropertiesUpdate(SiteDynamicProperties siteDynamicProperties) {
        this.updateById(siteDynamicProperties);
    }
}
