package com.bizmatics.service.vo;

import lombok.Data;

import java.util.Date;

/**
 * 实时评分
 * @author yq
 * @date 2021/10/22 16:50
 */
@Data
public class RealScoreVO {

    /**
     * A相电流
     */
    private Double Ia;

    /**
     * B相电流
     */
    private Double Ib;

    /**
     * C相电流
     */
    private Double Ic;


    /**
     * A相电压
     */
    private Double Ua;

    /**
     * B相电压
     */
    private Double Ub;

    /**
     * C相电压
     */
    private Double Uc;
    /**
     * 功率因素
      */
    private Double cos;
    /**
     * 电流不平衡
     */
    private Double elBalun;
    /**
     * 电压不平衡
     */
    private Double vtBalun;
    /**
     * ia电流负载
     */
    private Double iaLoad;
    /**
     * ib电流负载
     */
    private Double ibLoad;
    /**
     * ic电流负载
     */
    private Double icLoad;
    /**
     * ua合格率
     */
    private Double uaQualified;
    /**
     * ub合格率
     */
    private Double ubQualified;
    /**
     * uc合格率
     */
    private Double ucQualified;
    /**
     * 分数
     */
    private Integer score;
    /**
     * 回路
     */
    private String loop;

    /**
     * 时间
     */
    private Date dataTime;

    /**
     * 电流不平衡度合格率
     */
    private Boolean elBalunQ;
    /**
     * 电压不平衡度合格率
     */
    private Boolean vtBalunQ;


    /**
     * A相电压合格率
     */
    private Boolean uaQ;

    /**
     * B相电压合格率
     */
    private Boolean ubQ;

    /**
     * C相电压合格率
     */
    private Boolean ucQ;
    /**
     * 功率因素合格率
     */
    private Boolean cosQ;


    /**
     * ia电流负载合格率
     */
    private Boolean iaLoadQ;
    /**
     * ib电流负载合格率
     */
    private Boolean ibLoadQ;
    /**
     * ic电流负载合格率
     */
    private Boolean icLoadQ;

    /**
     * 电压合格率平衡度
      */
    private Boolean uQ;
    /**
     * 电流负载率平衡度
     */
    private Boolean iLoadQ;
}
